<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderSEditView4Base from './ibizorder-sedit-view4-base.vue';

import view_drtab from '@widgets/ibizorder/default-drtab/default-drtab.vue';
import view_form from '@widgets/ibizorder/sform-form/sform-form.vue';
@Component({
    components: {
        view_drtab, 
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderSEditView4 extends IBIZOrderSEditView4Base {

}
</script>